Bug 487752 - (CVE-2009-0578) CVE-2009-0578 NetworkManager: local users can modify the connection settings
CVE-2009-0578 NetworkManager: local users can modify the connection settings
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20090220,public=20090303,imp...
: Security
Depends On: 487778 487779
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 13:31 EST by Josh Bressers
Modified: 2010-02-24 05:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 10:26:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-02-27 13:31:53 EST
Ludwig Nussel reported:

Preventing users from reading secrets can be achieved with proper dbus access rules. However having access to org.freedesktop.NetworkManagerUserSettings allows
anyone to modify the connection settings of the user owning that service. Restricting access to 'at_console' doesn't fix the problem as it would still be possible for local users to start a new session or log in on the text console which too would become 'at_console'.

Acknowledgements:

Red Hat would like to thank Ludwig Nussel for reporting this flaw responsibly.
Comment 3 Tomas Hoger 2009-03-06 10:29:26 EST
Public now via:
  http://www.ubuntu.com/usn/USN-727-1
Comment 4 Dan Williams 2009-03-06 16:41:44 EST
Fedora packages are already in-queue for updates, and Rawhide packages were out on Wednesday night.
Comment 5 Fedora Update System 2009-03-08 15:31:04 EDT
NetworkManager-0.7.0.99-1.fc9, NetworkManager-vpnc-0.7.0.99-1.fc9, NetworkManager-openvpn-0.7.0.99-1.fc9, NetworkManager-pptp-0.7.0.99-1.fc9, NetworkManager-openconnect-0.7.0.99-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-03-08 15:32:33 EDT
NetworkManager-0.7.0.99-1.fc10, knetworkmanager-0.7-0.8.20080926svn.fc10, NetworkManager-vpnc-0.7.0.99-1.fc10, NetworkManager-openvpn-0.7.0.99-1.fc10, NetworkManager-pptp-0.7.0.99-1.fc10, NetworkManager-openconnect-0.7.0.99-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 errata-xmlrpc 2009-03-25 09:57:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0361 https://rhn.redhat.com/errata/RHSA-2009-0361.html

Note You need to log in before you can comment on or make changes to this bug.